Package org.eclipse.net4j.util.event

## Interface IEvent

- All Known Subinterfaces:
    `ICacheMonitorEvent`, `IContainerEvent<E>`, `IHistoryChangeEvent`, `ILifecycleEvent`, `IOptionsEvent`, `OMPreferencesChangeEvent<T>`
  All Known Implementing Classes:
    `ContainerEvent`, `Event`, `FinishedEvent`, `FiniteStateMachine.StateChangedEvent`, `LifecycleEvent`, `NotifyingMonitor.ProgressEvent`, `OptionsEvent`, `RollingLog.PropertiesEvent`, `RollingLog.RecoveryEvent`, `RollingLog.RollingLogEvent`, `RollingLog.SplitEvent`, `SashComposite.OrientationChangedEvent`, `SingleDeltaContainerEvent`, `ThrowableEvent`, `ValueEvent`

      public interface IEvent

  An event that is fired from a `notifier` and can be handled by `listeners`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `INotifier` | `getSource()` |

- - ### Method Detail

    - #### getSource

          INotifier getSource()